# mysqlpp::TypeLookupFailed Class Reference

Thrown from the C++ to SQL data type conversion routine when it can't figure out how to map the type. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::TypeLookupFailed:

[legend]
Collaboration diagram for mysqlpp::TypeLookupFailed:

[legend]
List of all members.

## Public Member Functions

| TypeLookupFailed (const std::string &w)
| Create exception object.

## Detailed Description

Thrown from the C++ to SQL data type conversion routine when it can't figure out how to map the type.

This exception is not optional. The only alternatives when this happens are equally drastic: basically, either iterate past the end of an array (crashing the program) or call assert() to crash the program nicely. At least this way you have some control over how your program ends. You can even ignore the error and keep on going: this typically happens when building a SQL query, so you can handle it just the same as if the subsequent query execution failed.

The documentation for this class was generated from the following file:

- exceptions.h